org.eclipse.oomph.setup

## Enum ScopeType

- java.lang.Object
- - java.lang.Enum<ScopeType>
  - - org.eclipse.oomph.setup.ScopeType

- All Implemented Interfaces:
    Serializable, Comparable<ScopeType>, Enumerator

      public enum ScopeType
      extends Enum<ScopeType>
      implements Enumerator

  A representation of the literals of the enumeration 'Task Scope', and utility methods for working with them.
  See Also:
    `SetupPackage.getScopeType()`
  Generated
  Model

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTALLATION` The 'Installation' literal object.
    `NONE` The 'None' literal object.
    `PRODUCT` The 'Product' literal object.
    `PRODUCT_CATALOG` The 'Product Catalog' literal object.
    `PRODUCT_VERSION` The 'Product Version' literal object.
    `PROJECT` The 'Project' literal object.
    `PROJECT_CATALOG` The 'Project Catalog' literal object.
    `STREAM` The 'Stream' literal object.
    `USER` The 'User' literal object.
    `WORKSPACE` The 'Workspace' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INSTALLATION_VALUE` The 'Installation' literal value.
    `static int` | `NONE_VALUE` The 'None' literal value.
    `static int` | `PRODUCT_CATALOG_VALUE` The 'Product Catalog' literal value.
    `static int` | `PRODUCT_VALUE` The 'Product' literal value.
    `static int` | `PRODUCT_VERSION_VALUE` The 'Product Version' literal value.
    `static int` | `PROJECT_CATALOG_VALUE` The 'Project Catalog' literal value.
    `static int` | `PROJECT_VALUE` The 'Project' literal value.
    `static int` | `STREAM_VALUE` The 'Stream' literal value.
    `static int` | `USER_VALUE` The 'User' literal value.
    `static List<ScopeType>` | `VALUES` A public read-only list of all the 'Scope Type' enumerators.
    `static int` | `WORKSPACE_VALUE` The 'Workspace' literal value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScopeType` | `get(int value)` Returns the 'Scope Type' literal with the specified integer value.
    `static ScopeType` | `get(String literal)` Returns the 'Scope Type' literal with the specified literal value.
    `static ScopeType` | `getByName(String name)` Returns the 'Scope Type' literal with the specified name.
    `String` | `getLiteral()`
    `String` | `getName()`
    `int` | `getValue()`
    `String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static ScopeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ScopeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ScopeType NONE

      The 'None' literal object.
      See Also:
        `NONE_VALUE`
      Generated
      Ordered

    - #### PRODUCT_CATALOG

          public static final ScopeType PRODUCT_CATALOG

      The 'Product Catalog' literal object.
      See Also:
        `PRODUCT_CATALOG_VALUE`
      Generated
      Ordered

    - #### PRODUCT

          public static final ScopeType PRODUCT

      The 'Product' literal object.
      See Also:
        `PRODUCT_VALUE`
      Generated
      Ordered

    - #### PRODUCT_VERSION

          public static final ScopeType PRODUCT_VERSION

      The 'Product Version' literal object.
      See Also:
        `PRODUCT_VERSION_VALUE`
      Generated
      Ordered

    - #### PROJECT_CATALOG

          public static final ScopeType PROJECT_CATALOG

      The 'Project Catalog' literal object.
      See Also:
        `PROJECT_CATALOG_VALUE`
      Generated
      Ordered

    - #### PROJECT

          public static final ScopeType PROJECT

      The 'Project' literal object.
      See Also:
        `PROJECT_VALUE`
      Generated
      Ordered

    - #### STREAM

          public static final ScopeType STREAM

      The 'Stream' literal object.
      See Also:
        `STREAM_VALUE`
      Generated
      Ordered

    - #### INSTALLATION

          public static final ScopeType INSTALLATION

      The 'Installation' literal object.
      See Also:
        `INSTALLATION_VALUE`
      Generated
      Ordered

    - #### WORKSPACE

          public static final ScopeType WORKSPACE

      The 'Workspace' literal object.
      See Also:
        `WORKSPACE_VALUE`
      Generated
      Ordered

    - #### USER

          public static final ScopeType USER

      The 'User' literal object.
      See Also:
        `USER_VALUE`
      Generated
      Ordered

  - ### Field Detail

    - #### NONE_VALUE

          public static final int NONE_VALUE

      The 'None' literal value.

      If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

      See Also:
        `NONE`, Constant Field Values
      Generated
      Model
        name="None"
      Ordered

    - #### PRODUCT_CATALOG_VALUE

          public static final int PRODUCT_CATALOG_VALUE

      The 'Product Catalog' literal value.

      If the meaning of 'Product Catalog' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PRODUCT_CATALOG`, Constant Field Values
      Generated
      Model
        name="ProductCatalog"
      Ordered

    - #### PRODUCT_VALUE

          public static final int PRODUCT_VALUE

      The 'Product' literal value.

      If the meaning of 'Product' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PRODUCT`, Constant Field Values
      Generated
      Model
        name="Product" literal="Eclipse"
      Ordered

    - #### PRODUCT_VERSION_VALUE

          public static final int PRODUCT_VERSION_VALUE

      The 'Product Version' literal value.

      If the meaning of 'Product Version' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PRODUCT_VERSION`, Constant Field Values
      Generated
      Model
        name="ProductVersion"
      Ordered

    - #### PROJECT_CATALOG_VALUE

          public static final int PROJECT_CATALOG_VALUE

      The 'Project Catalog' literal value.

      If the meaning of 'Project Catalog' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PROJECT_CATALOG`, Constant Field Values
      Generated
      Model
        name="ProjectCatalog"
      Ordered

    - #### PROJECT_VALUE

          public static final int PROJECT_VALUE

      The 'Project' literal value.

      If the meaning of 'Project' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PROJECT`, Constant Field Values
      Generated
      Model
        name="Project"
      Ordered

    - #### STREAM_VALUE

          public static final int STREAM_VALUE

      The 'Stream' literal value.

      If the meaning of 'Stream' literal object isn't clear, there really should be more of a description here...

      See Also:
        `STREAM`, Constant Field Values
      Generated
      Model
        name="Stream"
      Ordered

    - #### INSTALLATION_VALUE

          public static final int INSTALLATION_VALUE

      The 'Installation' literal value.

      If the meaning of 'Installation' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INSTALLATION`, Constant Field Values
      Generated
      Model
        name="Installation"
      Ordered

    - #### WORKSPACE_VALUE

          public static final int WORKSPACE_VALUE

      The 'Workspace' literal value.

      If the meaning of 'Workspace' literal object isn't clear, there really should be more of a description here...

      See Also:
        `WORKSPACE`, Constant Field Values
      Generated
      Model
        name="Workspace"
      Ordered

    - #### USER_VALUE

          public static final int USER_VALUE

      The 'User' literal value.

      If the meaning of 'User' literal object isn't clear, there really should be more of a description here...

      See Also:
        `USER`, Constant Field Values
      Generated
      Model
        name="User"
      Ordered

    - #### VALUES

          public static final List<ScopeType> VALUES

      A public read-only list of all the 'Scope Type' enumerators.
      Generated

  - ### Method Detail

    - #### values

          public static ScopeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScopeType c : ScopeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScopeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static ScopeType get(String literal)

      Returns the 'Scope Type' literal with the specified literal value.
      Generated

    - #### getByName

          public static ScopeType getByName(String name)

      Returns the 'Scope Type' literal with the specified name.
      Generated

    - #### get

          public static ScopeType get(int value)

      Returns the 'Scope Type' literal with the specified integer value.
      Generated

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `Enumerator`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Enumerator`
      Generated

    - #### getLiteral

          public String getLiteral()

      Specified by:
        `getLiteral` in interface `Enumerator`
      Generated

    - #### toString

          public String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `Enum<ScopeType>`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html